CREATE TABLE hts_sched_profile_rotations (
    SCHED_PROFILE_ROTATION_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    SCHED_PROFILE_ROTATION_CODE    VARCHAR2(120)    NOT NULL,
    SCHED_GEN_PROFILE_ID           NUMBER(18, 0)    NOT NULL,
    ROTATION_WINDOW_OPENS          NUMBER(9, 0)     NOT NULL,
    ROTATION_WINDOW_CLOSES         NUMBER(9, 0) ,
    IS_LAST_ROTATION_FLAG          VARCHAR2(4)  ,
    ROTATION_SEQUENCE              NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    SCHED_PROFILE_ROTATION_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    SCHED_PROFILE_ROTATION_CODE    VARCHAR2(120)    NOT NULL,
    SCHED_GEN_PROFILE_ID           NUMBER(18, 0)    NOT NULL,
    ROTATION_WINDOW_OPENS          NUMBER(9, 0)     NOT NULL,
    ROTATION_WINDOW_CLOSES         NUMBER(9, 0) ,
    IS_LAST_ROTATION_FLAG          VARCHAR2(4)  ,
    ROTATION_SEQUENCE              NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CONSTRAINT pk_hts_sched_profile_rotations PRIMARY KEY (SCHED_PROFILE_ROTATION_ID, SCHED_PROFILE_ROTATION_ID)
);
